Public Class ApplicationStartup

    Public Shared Sub Main()
        ' Make sure we get the Windows XP look, if available.
        ' Upewnijmy się, że mamy możliwości wizualne Windows XP.
        Application.EnableVisualStyles()

        ' Create this component.
        ' Utwórz odpowiedni komponent.
        ' At this point, the NotifyIcon appears automatically
        ' (assuming its Visible property is true).
        ' W tym momencie inkonka informująca pojawi się na pasku systemowym automatycznie,
        ' przy założeniu, że jej własność AppIcon.Visible = True.
        Dim App As New ApplicationStartup

        ' Because no forms are being displayed, you need this 
        ' statement to stop the application from automatically ending.
        ' The application will just wait for menu clicks from this point on.
        ' Ponieważ nie pojawi się żaden formularz, poniższe wywołanie powoduje, że
        ' aplikacja nie zakończy się automatycznie, a bedzie czekać na polecenie 
        ' Exit z własnego menu.
        Application.Run()
    End Sub


    Private Sub cmdExit_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmdExit.Click
        AppIcon.Visible = False
        Application.Exit()
    End Sub

    Private Sub cmdShowClock_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmdShowClock.Click
        ' You could show another form here, but we
        ' simply show a message box.
        ' To mógłby być inny formularz, dla uproszczenia jest tylko okienko komunikatu.
        MessageBox.Show(Date.Now.ToString, "Komunikat - Data", MessageBoxButtons.OK)
    End Sub

    Private Sub AppIcon_MouseDoubleClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles AppIcon.MouseDoubleClick

    End Sub
End Class
